# Uses of Class
java.time.temporal.WeekFields

Packages that use WeekFields
Package
Description
java.time.temporal
Access to date and time using fields and units, and date time adjusters.

- ## Uses of WeekFields in java.time.temporal

  Fields in java.time.temporal declared as WeekFields
  Modifier and Type
  Field
  Description
  `static final WeekFields`
  WeekFields.`ISO`
  The ISO-8601 definition, where a week starts on Monday and the first week has a minimum of 4 days.
  `static final WeekFields`
  WeekFields.`SUNDAY_START`
  The common definition of a week that starts on Sunday and the first week has a minimum of 1 day.
  Methods in java.time.temporal that return WeekFields
  Modifier and Type
  Method
  Description
  `static WeekFields`
  WeekFields.`of(DayOfWeek firstDayOfWeek, int minimalDaysInFirstWeek)`
  Obtains an instance of `WeekFields` from the first day-of-week and minimal days.
  `static WeekFields`
  WeekFields.`of(Locale locale)`
  Obtains an instance of `WeekFields` appropriate for a locale.